Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 562094

Summary: =media-plugins/audacious-plugins-3.6.2-r1 - .../work/audacious-plugins-3.6.2/src/skins/menus.cc:290: undefined reference to `audgui_get_monitor_geometry(_GdkScreen*, int, int, _GdkRectangle*)'
Product: Gentoo Linux Reporter: Jeroen Roovers (RETIRED) <jer>
Component: Current packagesAssignee: Tony Vroon <chainsaw>
Status: RESOLVED FIXED    
Severity: normal CC: sound, zx2c4
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 561242    
Attachments: media-plugins:audacious-plugins-3.6.2-r1:20151003-053747.log

Description Jeroen Roovers (RETIRED) gentoo-dev 2015-10-03 05:46:49 UTC
Created attachment 413566 [details]
media-plugins:audacious-plugins-3.6.2-r1:20151003-053747.log

[ebuild     U ~] media-plugins/audacious-plugins-3.6.2-r1::gentoo [3.4.1::gentoo] USE="adplug alsa mp3 nls sid vorbis -aac -bs2b -cdda -cue -ffmpeg -flac -fluidsynth (-gnome) -gtk3% -http% -jack -lame (-libnotify) -libsamplerate (-lirc) -mms -pulseaudio -qt5% -scrobbler -sdl -sndfile -wavpack (-ipv6%*) (-midi%)" 0 KiB
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2015-10-03 06:56:31 UTC
Sat  3 Oct 08:55:56 CEST 2015
emerge --info media-plugins/audacious-plugins
Portage 2.2.20.1 (python 3.4.3-final-0, default/linux/hppa/13.0, gcc-4.8.5, glibc-2.22, 4.3.0-rc2-JeR parisc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.3.0-rc2-JeR-parisc64-PA8800_-Mako-with-gentoo-2.2
KiB Mem:     8230580 total,   4501268 free
KiB Swap:    2101676 total,   2101676 free
Timestamp of repository gentoo: Sat, 03 Oct 2015 03:15:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.1 hppa2.0-unknown-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.3_p39::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10::gentoo, 3.2.5-r6::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.1.9-r4::gentoo
dev-util/cmake:           3.2.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r3::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.22-r1::gentoo, 2.23.1::gentoo, 2.23.2::gentoo, 2.24-r3::gentoo, 2.25.1-r1::gentoo
sys-devel/gcc:            4.6.4::gentoo, 4.7.2-r1::gentoo, 4.7.3-r1::gentoo, 4.8.1-r1::gentoo, 4.8.3::gentoo, 4.8.4::gentoo, 4.8.5::gentoo, 4.9.2::gentoo, 4.9.3::gentoo, 5.2.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.2::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22::gentoo
Repositories:

gentoo
    location: /world/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.nl.gentoo.org/gentoo-portage
    priority: -1000

JeR
    location: /keeps/gentoo/local
    masters: gentoo
    priority: -100

ACCEPT_KEYWORDS="hppa"
ACCEPT_LICENSE="*"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib/distcc/bin /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
DISTDIR="/aches/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --autounmask=n"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs buildpkg cgroup compressdebug config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news notitles parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/gentoo/ http://mirror.netcologne.de/gentoo/ http://mirror.leaseweb.com/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--no-keep-memory"
MAKEOPTS="-j6"
PKGDIR="/aches/gentoo/packages/karsten"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color X acl alsa amr anacron apng argyllcms audit bash-completion beautifulsoup3 berkdb bfio bittorrent botan bzip2 cairo canberra cli consolekit coverage cracklib crossdev crypt cups custom-cflags cxx dane dbus declarative dirac directfb distinct-l dlz doc dot dri emacs exceptions exif expat fbcon filecaps firefox firmware foomaticdb fortran frontend-optional g-sorcery gbm gdbm geoip geoloc glep gles1 gles2 gost gpg gpm graphite gsm gstreamer gtk gudev guile hddtemp hppa hwdb iconv idn imlib inotify ipv6 jadetex javascript jingle jit jpeg jpeg2k json kdrive kmod ladspa lasi launch-frontend lensfun libav libcaca libcanberra libevent libopts libsoxr libusb libwww lua lzma lzo mad mng mod modplug modules mp3 multislot multitarget munge nagios nas natspec ncurses netlink nfs nls nptl objc objc++ objc-gc offensive ofono-headset openexr opengl openmp openrc openvg opus oqgraph osmesa oss pam pcre pcre16 php pic pkcs11 png pnm policykit python qt qt3support qt4 raw readline realtime regression-test rtmp samba sbc schroedinger sctp session smi snappy socks5 speex spell spidermonkey sqlite ssl svg tcl tcpd test tga theora threads tiff tk tokyocabinet truetype unicode unwind v4l vim-syntax vorbis vpx wayland wcwidth x264 x265 xa xattr xcb xft xhtml xkb xml2 xvfb xvid zlib" ALSA_CARDS="ad1889 usb-audio" APACHE2_MODULES="authz_host dir mime alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="nfs syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa tek4957 tslib ur98 void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en nl he" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4 php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3 python3_4" RUBY_TARGETS="ruby19 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="stifb dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.3"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-plugins/audacious-plugins-3.4.1::gentoo was built with the following:
USE="adplug alsa ipv6 mp3 nls sid vorbis -aac -bs2b -cdda -cue -ffmpeg -flac -fluidsynth (-gnome) -jack -lame (-libnotify) -libsamplerate (-lirc) -midi -mms -pulseaudio -scrobbler -sdl -sndfile -wavpack"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
Comment 2 Larry the Git Cow gentoo-dev 2017-12-24 21:52:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf878c27023b60b95dc0ed7fbece859ea3b385e7

commit bf878c27023b60b95dc0ed7fbece859ea3b385e7
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2017-12-24 21:43:10 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2017-12-24 21:52:03 +0000

    media-plugins/audacious-plugins: Remove old
    
    Closes: https://bugs.gentoo.org/558228
    Closes: https://bugs.gentoo.org/562094
    Closes: https://bugs.gentoo.org/564498
    Closes: https://bugs.gentoo.org/584392
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-plugins/audacious-plugins/Manifest           |   6 -
 .../audacious-plugins-3.6.2-r1.ebuild              | 133 ----------------
 .../audacious-plugins-3.7.1-r1.ebuild              | 173 --------------------
 .../audacious-plugins-3.7.1.ebuild                 | 152 ------------------
 .../audacious-plugins-3.8.2.ebuild                 | 175 ---------------------
 .../files/audacious-plugins-3.7.1-gl-jack.patch    |  24 ---
 profiles/package.mask                              |   1 -
 7 files changed, 664 deletions(-)